input InformationLiaisonInput {
  id: ID
  idType: ID!
  idItem: ID
  idItemAssocie: ID
  idOrigine: ID
  idOrigineAssocie: ID
  statut: String!
  titre: String!
  description: String!
  idDeclarant: ID!
  idColleguesConcernees: [ID!]
  idFicheIncident: ID
  idFicheAmelioration: ID
  idFicheReclamation: ID
  idTodoAction: ID
  codeMaj: String
  isRemoved: Boolean
  bloquant: Boolean
  fichiers: [FichierInput!]
  idFonction: ID
  idTache: ID
  idImportance: ID!
  idUrgence: ID!
  dateEcheance: DateTime
}

type StatutCount {
  statut: String
  count: Int!
}

type UrgenceCount {
  id: ID!
  count: Int!
}

type ImportanceCount {
  id: ID!
  count: Int!
}

type InformationLiaisonCount {
  statuts: [StatutCount]
  urgences: [UrgenceCount]
  importances: [ImportanceCount]
}

input InformationLiaisonFilter {
  idPharmacie: ID!
  idsCollegueConcernee: [ID!]
  idsDeclarant: [ID!]
  dateDebut: DateTime
  dateFin: DateTime
}

input TakeChargeInformationLiaisonInput {
  id: ID!
  date: DateTime!
  description: String!
  files: [FichierInput!]
}

type Mutation {
  createUpdateInformationLiaison(input: InformationLiaisonInput!): InformationLiaison!
  softDeleteInformationLiaisons(ids: [ID!]!): [InformationLiaison!]!
  updateInformationLiaisonStatut(id: ID!, statut: String!): InformationLiaison!
  takeChargeInformationLiaison(input: TakeChargeInformationLiaisonInput!): InformationLiaison!
  updateInformationLiaisonStatutByUserConcerned(
    id: ID!
    statut: String!
  ): InformationLiaisonUserConcernee!
  readInformationLiaisonByUserConcerned(id: ID!, lu: Boolean!): InformationLiaisonUserConcernee!
}

type Query {
  informationLiaisons(isRemoved: Boolean): [InformationLiaison!]!
  informationLiaison(id: ID!): InformationLiaison
  informationLiaisonUserConcernees(isRemoved: Boolean): [InformationLiaisonUserConcernee!]!
  informationLiaisonUserConcernee(id: ID!): InformationLiaisonUserConcernee
  countInformationLiaisons(input: InformationLiaisonFilter!): InformationLiaisonCount
}

type InformationLiaison implements Searchable {
  type: String!
  id: ID!
  idType: ID
  idItem: ID
  item: Item
  idItemAssocie: ID
  idOrigine: ID
  idOrigineAssocie: ID
  origineAssocie: Searchable
  statut: String!
  titre: String!
  description: String!
  declarant: User
  colleguesConcernees: [InformationLiaisonUserConcernee!]
  idFicheIncident: String
  idFicheAmelioration: String
  ficheReclamation: Ticket
  todoAction: Action
  pharmacie: Pharmacie
  groupement: Groupement
  codeMaj: String
  isRemoved: Boolean
  userCreation: User
  userModification: User
  dateCreation: DateTime!
  dateModification: DateTime!
  prisEnCharge: InformationLiaisonPrisCharge
  bloquant: Boolean
  fichiersJoints: [InformationLiaisonFichierJoint!]
  userSmyleys: UserSmyleyResult
  nbPartage: Int!
  nbRecommandation: Int!
  isShared: Boolean!
  idFonction: ID
  idTache: ID
  importance: Importance
  urgence: Urgence
  coupleStatutDeclarant: String
  priority: String
  nbCollegue: Int
  nbComment: Int
  nbLue: Int
  dateEcheance: DateTime
}

type InformationLiaisonUserConcernee implements Searchable {
  type: String!
  id: ID!
  informationLiaison: InformationLiaison!
  userConcernee: User!
  statut: String!
  filtre: String
  prisEnCharge: InformationLiaisonPrisCharge
  codeMaj: String
  coupleStatutUserConcernee: String
  isRemoved: Boolean
  userCreation: User
  userModification: User
  dateStatutModification: DateTime
  dateCreation: DateTime!
  dateModification: DateTime!
}
